import java.sql.*;
import java.lang.*;
import java.util.*;

class SQLTestApp
{
  public static void main (String args [])
    throws SQLException, ClassNotFoundException
  {
    if (args.length != 5)
    {
       System.out.println("\nUsage: java MySQLTest <host> <database> <login> <paswd> <query>");
       System.exit(1);
    }

    // Load the mySQL JDBC driver
    try
    {
      Class.forName("org.gjt.mm.mysql.Driver").newInstance();
    }
    catch( Exception e )
    {
      e.printStackTrace();
    }

    // Connect, query and report
    try
    {
      String DBHost   = args[0];
      String DBDb     = args[1];
      String DBUser   = args[2];
      String DBPasswd = args[3];
      String DBQuery  = args[4];

      Connection conn = DriverManager.getConnection(
        "jdbc:mysql://" + DBHost + "/" + DBDb +
        "?user=" + DBUser + "&password=" + DBPasswd );
                
      // Create a Statement
      Statement stmt = conn.createStatement ();

      ResultSet rs = stmt.executeQuery ( DBQuery );
      ResultSetMetaData rsmd = rs.getMetaData();
      int numColumns = rsmd.getColumnCount();

      while (rs.next ())
      {
        for( int i = 1; i <= numColumns; i++ )
        {
          System.out.print( rs.getObject( i ) + "|" );
        }
        System.out.println();
      }
      conn.close();
    }
    catch( Exception e )
    {
      System.out.println( e.getMessage() );
    }
  }
}
